#! /bin/sh

### BEGIN INIT INFO
# Provides:          ejabberd
# Required-Start:    $remote_fs $network $named $time
# Required-Stop:     $remote_fs $network $named $time
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Starts ejabberd XMPP server
# Description:       Starts ejabberd XMPP server, an XMPP
#                    compliant server written in Erlang.
### END INIT INFO

# chkconfig: 2345 90 10
# description: ejabberd XMPP server

set -o errexit

DIR=@ctlscriptpath@
CTL="$DIR"/ejabberdctl
USER=@installuser@

test -x "$CTL" || {
	echo "ERROR: ejabberd not found: $DIR"
	exit 1
}
getent passwd "$USER" >/dev/null || {
	echo "ERROR: System user not found: $USER"
	exit 2
}

export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"

case "$1" in
  start)
    test -x "$CTL" || exit 0
    echo "Starting ejabberd..."
    su - $USER -c "$CTL start"
    su - $USER -c "$CTL started"
    echo "done."
    ;;
  stop)
    test -x "$CTL" || exit 0
    echo "Stopping ejabberd..."
    su - $USER -c "$CTL stop"
    su - $USER -c "$CTL stopped"
    echo "done."
    ;;
  status)
    test -x "$CTL" || exit 0
    echo "Getting ejabberd status..."
    su - $USER -c "$CTL status"
    ;;
  force-reload|restart)
    "$0" stop
    "$0" start
    ;;
  *)
    echo "Usage: $0 {start|stop|restart|force-reload|status}"
    exit 1
esac

exit 0
